Subject: bug#26243: 25.1; `dired-pop-to-buffer' warning

From: Juri Linkov <[email-masked]>
Date: Tue, 30 Jul 2019 01:41:50 +0300

>> It was added with a reference to bug 1806, which is a 170 message long
>> thread which I've not read.  I've Cc'd Juri (who made the change) in
>> case the reference makes sense anyway, in which case I'll revert my
>> change.
>
> I think the declaration should say to use 'pop-to-buffer' instead of
> 'dired-pop-to-buffer'.  But let's wait for Juri.

Yes, either 'pop-to-buffer' or 'dired-mark-pop-up'.  If 'dired-mark-pop-up'
doesn't suit the needs due to its narrow applicability, then a more general
'pop-to-buffer' should be used.  'dired-pop-to-buffer' was an ugly wrapper
around 'pop-to-buffer' with some additions that now should be specified
as ACTION args of 'display-buffer' (an example is in 'dired-mark-pop-up').
I don't understand why Drew still uses 'dired-pop-to-buffer'.